### File

`src/core/domain/interfaces/page-meta.interface.ts`

### Description

Structure of page metadata

### Index

###### Properties

- hasNext
- hasPrev
- order
- pagenum
- pagesize
- total

### Properties

hasNext
`hasNext: `boolean``
Type : `boolean`
Flag that indicates presence of the next page

hasPrev
`hasPrev: `boolean``
Type : `boolean`
Flag that indicates presence of the previous page

order
`order: `Order``
Type : `Order`
Order of the elements on the page

pagenum
`pagenum: `number``
Type : `number`
Number of the page

pagesize
`pagesize: `number``
Type : `number`
Number of elements on the page

total
`total: `number``
Type : `number`
Total search results

    import { Order } from "../enums/page-order.enum";

    /**
     * Structure of page metadata
     */
    export interface PageMeta {
        /**
         * Total search results
         */
        total: number;

        /**
         * Number of the page
         */
        pagenum: number;

        /**
         * Order of the elements on the page
         */
        order: Order;

        /**
         * Flag that indicates presence of the next page
         */
        hasNext: boolean;

        /**
         * Flag that indicates presence of the previous page
         */
        hasPrev: boolean;

        /**
         *  Number of elements on the page
         */
        pagesize: number;
    }

# results matching ""

# No results matching ""